# A simple regex-based word tokenizer

### CLASS DEF

setClass("PunktWordTokenizer",
    representation(
      pointer = "externalptr",  # external ptr to ntlk object
      "Tokenizer"              # extends the tokenizer virtual class
    )
)

### CONSTRUCTION

# A constructor for PunktWordTokenizers
PunktWordTokenizer <- function()
{
  ptr <- .Call("construct_punkt_word_tokenizer")
  return(new("PunktWordTokenizer", pointer = ptr))
}

### overridden tokenize method

# Tokenize a character object with punkt
setMethod("tokenize", signature(object="character",
                                tokenizer="PunktWordTokenizer",
                                index="missing"), 
  function(object, tokenizer, index)
    unlist(lapply(object,
      function (x) .Call("tokenize", tokenizer@pointer, x))))


### SHOW

setMethod("show", "PunktWordTokenizer",
  function (object)
    cat("A tokenizer using the Punkt word tokenizing algorithm.\n"))
