# A virtual class for sequential backoff taggers that are implemented
# by wrapping sbts from nltk.  Extending classes need only define
# constructors and do not have to implmenent choose.tag, which this
# class takes care of (of course, they can always explicitly override
# choose.tag if they want to).

### CLASSDEF

setClass("WrappedSequentialBackoffTagger", 
  representation(pointer="externalptr", "SequentialBackoffTagger",
                 "VIRTUAL"))

### INTERFACE METHOD

# A generic choose.tag call for wsbts.
setMethod("choose.tag", signature(tokens="character", index="integer",
                                  history="character",
                                  tagger="WrappedSequentialBackoffTagger"),
  function (tokens, index, history, tagger) {
    index <- as.integer(index - 1)
    return(.Call("p_choose_tag", tagger@pointer, tokens, index, history))
  }
)
