# Extends tagger but signifies that a class uses the underlying C tag
# function to execute tag calls.  This class exists to cut down on
# unnecessary cross-talk between R and python.
setClass("WrappedTagger", 
         representation(pointer="externalptr", "Tagger", "VIRTUAL"))

# We explicitly override tag (XXX and batch.tag) so that all the work gets
# done in python code and we're not passing data back and forth
# between R and python when we don't have to.
# XXX Does this need to be commented out or not?...

#setMethod("tag", signature(object="character", tagger="WrappedTagger"),
#  function(object, tagger) {
#    tokens <- tag.character.helper(object)
#    return(.Call("tag", tagger@pointer, tokens))
#  }
#)

# XXX For now just let R take care of batch.tag and only make direct
# python calls for tag.  Consider explicitly entering python at the
# batch.tag step if we want to optimize.  The method below handles the R
# side of this; see src/tagger.h for the other half of the
# equation.
#setMethod("batch.tag", signature(sentences="list",
#                                 tagger="WrappedTagger"),
#  function(sentences, tagger) {
#    return(.Call("batch_tag", tagger@pointer, sentences))
#  }
#)
