# Some methods for termDocMatrix objects not provided by tm
library(tm)

# Applies the given weighting algorithm to the given TermDocMatrix.
# Note that the matrix may already be weigted, in which case this
# might not do exactly what you'd want. 
setGeneric("weightTDM",
  function (object, weight, ...) standardGeneric("weightTDM"))

# XXX This method is quite impl-dependent on tm
setMethod("weightTDM", 
          signature(object = "TermDocMatrix", weight = "WeightFunction"),
  function (object, weight) {
    if (weight@Name == weightTf@Name) { # do nothing
      return(object)
    } else {
      return(new("TermDocMatrix", Data = weight(object@Data), 
                 Weighting = weight@Name))
    }
  }
)
