\name{BigramTagger}
\alias{BigramTagger}

\title{BigramTagger}

\description{
Constructs a \code{\linkS4class{BigramTagger}} object.
}

\usage{
BigramTagger(trainset, cutoff = 1, backoff = NA)
}

\value{
  An S4 object of class \code{\linkS4class{BigramTagger}}.
}

\arguments{
\item{trainset}{
  An object repesenting a series of pre-tagged sentences as a
  \code{list}.  The expected format of the training list is a three
  level nested list of the form \eqn{(\text{sentence}_1,
  \text{sentence}_2, \ldots, \text{sentence}_N)}, where
  \eqn{\text{sentence}_i = ((\text{token}_1, \text{tag}_1),
  (\text{token}_2, \text{tag}_2), \ldot, (\text{token}_{N_i},
  \text{tag}_{N_i}))}.
}

\item{cutoff}{
  The minimum number of times a token has to appear in the training
  corpus for the tagger to associate a tag with it.
}
\item{backoff}{
  A backoff tagger.
}
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\linkS4class{BigramTagger}}
}

\keyword{methods}
