\name{DefaultTagger-class}
\docType{class}
\alias{DefaultTagger-class}
\alias{choose.tag,character,integer,character,DefaultTagger-method}
\alias{defaultTag,DefaultTagger-method}

\title{Class "DefaultTagger"}

\description{
  A \code{\linkS4class{SequentialBackoffTagger}} that tags tokens with
  a single fixed tag.
}

\section{Objects from the Class}{
Objects can be created by calls of the form
\code{DefaultTagger(defaultTag)}.  \code{defaulTag} is an object of
type \code{character} and defaults to \code{"UNK"}.  Object of this
type typically serve as backoffs for more sophisticated taggers.  
}

\section{Extends}{
Class \code{"\linkS4class{SequentialBackoffTagger}"}, directly.
Class \code{"\linkS4class{Tagger}"}, by class "SequentialBackoffTagger", distance 2.
}

\section{Methods}{
  \describe{
    \item{choose.tag}{\code{signature(tokens = "character",
                                      index = "integer",
                                      history = "character",
                                      tagger = "DefaultTagger")}:
      Take a vector of tokens, an offset into that vector indicating
      the token to tag, and a vector of tags applied to the tokens
      preceding the current token, and apply the given tagger to
      generate a tag for the current token. }

    \item{defaultTag}{\code{signature(object = "DefaultTagger")}:
      Returns the tag applied by the \code{DefaultTagger}. }
	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{tag}}
  \code{\link{batch.tag}}
  \code{\link{choose.tag}}
  \code{\linkS4class{SequentialBackoffTagger}}
  \code{\linkS4class{RegexTagger}}
  \code{\linkS4class{NgramTagger}}
  \code{\linkS4class{AffixTagger}}
}

\keyword{classes}
