\name{DefaultTagger}
\alias{DefaultTagger}

\title{DefaultTagger}

\description{
Constructs an \code{\linkS4class{DefaultTagger}} object.
}

\usage{
DefaultTagger(defaultTag = "UNK")
}

\value{
  An S4 object of class \code{\linkS4class{DefaultTagger}}.
}

\arguments{
\item{defaultTag}{A \code{character} string specifying the single tag
the tagger should use.}
}


\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\linkS4class{DefaultTagger}}
}

\examples{
  # Tag all the words in a sentence as unknown
  str <- "Words have weight, sound and appearance; it is only by considering these that you can write a sentence that is good to look at and good to listen to." 
  tag(str, DefaultTagger(), tok=PunktWordTokenizer())

  # TODO: an example with a UnigramTagger trained on part of brown
  # that backs off to noun.
}

\keyword{methods}
