\name{NgramTagger-class}
\docType{class}
\alias{NgramTagger-class}
\alias{cutoff,NgramTagger-method}
\alias{n,NgramTagger-method}


\title{Class "NgramTagger"}

\description{An NgramTagger uses a training dataset to associate
tokens with their most common tags, contingent on the tags of the n
preceding tokens.}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{NgramTagger(n,
trainset, cutoff = 1, backoff = NA)} where \code{n} is a positive
integer, \code{trainset} is an object representing a series of
pre-tagged sentences (a number of formats are possible here, see
the documentation for the constructor method \code{NgramTagger}),
cutoff is the minimum number of times a token has to appear in the
training corpus for the tagger to associate a tag with it, and
\code{backoff} is an optional backoff tagger.
}

\section{Extends}{
Class \code{"\linkS4class{WrappedSequentialBackoffTagger}"}, directly.
Class \code{"\linkS4class{SequentialBackoffTagger}"}, by class "WrappedSequentialBackoffTagger", distance 2.
Class \code{"\linkS4class{Tagger}"}, by class "WrappedSequentialBackoffTagger", distance 3.
}

\section{Methods}{
  \describe{
    \item{n}{\code{signature(object = "NgramTagger")}:
      Returns an integer indicating how many preceding tags influence
      the tag for a given token for the given \code{NgramTagger}.}

    \item{cutoff}{\code{signature(object = "NgramTagger")}:
      Returns an integer indicating how many times a token had to
      appear in the given tagger's training corpus for it to have a
      tag associate with it.}

	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{tag}}
  \code{\link{batch.tag}}
  \code{\link{tag.one}}
  \code{\linkS4class{Tagger}}
  \code{\linkS4class{SequentialBackoffTagger}}
  \code{\linkS4class{UnigramTagger}}
  \code{\linkS4class{BigramTagger}}
  \code{\linkS4class{TrigramTagger}}
  \code{\linkS4class{RegexTagger}}
  \code{\linkS4class{AffixTagger}}
}

\keyword{classes}
