\name{PunktWordTokenizer-class}
\docType{class}
\alias{PunktWordTokenizer-class}
\alias{tokenize,character,PunktWordTokenizer,missing-method}

\title{Class "PunktWordTokenizer"}

\description{
  A tokenizer class that breaks up text into individual words using
  rules from the Punkt sentence tokenizing system.
}

\section{Objects from the Class}{
  Objects can be created by calls of the form
  \code{PunktWordTokenizer()}.
}

\section{Extends}{
Class \code{"\linkS4class{Tokenizer}"}, directly.
}

\section{Methods}{
  \describe{
    \item{tokenize}{\code{signature(object = "character",
                                    tokenizer = "PunktWordTokenizer",
                                    index = "missing")}:
      Applies the \code{PunktWordTokenizer} to the given \code{character}
      object, returning a \code{character} vector of tokens.}
	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\references{
Tibor Kiss and Jan Strunk.  2006. Unsupervised Multilingual Sentence
Boundary Detection.  Computational Linguistics 32: 485-525.

Steven Bird, Edward Loper, and Ewan Klein.  2008.  The Natural
Language Toolkit.  http://nltk.org.
}

\seealso{
  \code{\link{PunktWordTokenizer}}
  \code{\link{tokenize}}
  \code{\linkS4class{Tokenizer}}
  \code{\linkS4class{RegexTokenizer}}
  \code{\linkS4class{OffsetTokenizer}}
  \code{\linkS4class{TokenizedView}}
  \code{\linkS4class{TokenizedDocumentView}}
  \code{\linkS4class{TokenizedCorpusView}}
}

\keyword{classes}
