\name{RegexTokenizer}
\docType{methods}
\alias{RegexTokenizer}
\alias{RegexTokenizer-methods}
\alias{RegexTokenizer,character-method}
\alias{RegexTokenizer,missing-method}
\alias{RegexTokenizer,RegexObject-method}

\title{RegexTokenizer}

\description{
Constructs a \code{\linkS4class{RegexTokenizer}} object.
}

\usage{
RegexTokenizer(pattern, matchTokens = TRUE)
}

\arguments{
\item{pattern}{A \code{character} or
  \code{\linkS4class{RegexObject}} regular expression.}

\item{matchTokens}{A boolean indicating whether the resulting object
  should match tokens (\code{TRUE}) or gaps between tokens
  (\code{FALSE}).}
}

\value{
  An S4 object of class \code{\linkS4class{RegexTokenizer}}.
}

\section{Methods}{
\describe{
  \item{pattern = "character"}{ Construct a
  \code{\linkS4class{RegexTokenizer}} from a string pattern. }

  \item{pattern = "missing"}{ Construct a 
  \code{\linkS4class{RegexTokenizer}} from the default pattern,
  "\\w+|[^\\w\\s]+".}

  \item{pattern = "RegexObject"}{ Construct a 
  \code{\linkS4class{RegexTokenizer}} from a
  \code{\linkS4class{RegexObject}}. }
}}

\examples{
  rt <- RegexTokenizer("\\\s+") # split on spaces
  data(crude)
  tok1 <- tokenize(crude[[1]], rt)
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\linkS4class{RegexTokenizer}}
}

\keyword{methods}
