\name{TaggedToken-class}
\docType{class}
\alias{TaggedToken-class}
\alias{as.character,TaggedToken-method}
\alias{[<-,TaggedToken,ANY,numeric,character-method}
\alias{[,TaggedToken,ANY,missing,missing-method}
\alias{[,TaggedToken,ANY,numeric,missing-method}
\alias{c,TaggedToken-method}
\alias{length,TaggedToken-method}
\alias{tag<-,TaggedToken-method}
\alias{tag,TaggedToken,missing,missing,missing-method}
\alias{token<-,TaggedToken-method}
\alias{token,TaggedToken-method}

\title{Class "TaggedToken"
}

\description{\code{TaggedToken} objects represent one or more pairs of
tokens and tags, where both elements of the pair are \code{character}
objects, and the tag, in theory, applies to the token in some way.}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{TaggedToken(token, tag)}.
}

\section{Methods}{
  \describe{
    \item{as.character}{\code{signature(x = "TaggedToken")}:
      Returns the tagged tokens as \code{character} where each string
      takes the form "token/tag".}

    \item{[<-}{\code{signature(x = "TaggedToken", i = "ANY", j = "numeric",
                               value = "character")}:
      Sets an element of a TaggedToken vector.  If \code{j = 1} then
      it sets the token at index \code{i}, otherwise, if \code{j = 2},
      it sets the tag.}

    \item{[}{\code{signature(x = "TaggedToken", i = "ANY", j = "missing",
                             drop = "missing")}:
      Accesses a single \code{TaggedToken} pair at index \code{i}.}

    \item{[}{\code{signature(x = "TaggedToken", i = "ANY", j = "numeric",
                             drop = "missing")}:
      Accesses a single token (if \code{j = 1}) or tag (if \code{j =
      2}) at index \code{i}.}

    \item{c}{\code{signature(x = "TaggedToken")}:
      Concatenates two \code{TaggedToken} objects.}

    \item{length}{\code{signature(x = "TaggedToken")}:
      Returns the number of \code{TaggedToken} pairs within the
      object.}

    \item{tag<-}{\code{signature(object = "TaggedToken")}:
      Sets the object's tag vector. }

    \item{tag}{\code{signature(object = "TaggedToken", tagger = "missing",
                               tokenizer = "missing", index = "missing")}:
      Accesses the object's tag vector.}

    \item{token<-}{\code{signature(object = "TaggedToken")}:
      Sets the object's token vector. }

    \item{token}{\code{signature(object = "TaggedToken")}:
      Accesses the object's token vector.}
	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}


\seealso{
  \code{\link{tagger}}
  \code{\linkS4class{TaggedView}}
  \code{\linkS4class{TaggedDocumentView}}
  \code{\linkS4class{TaggedCorpusView}}
}

\keyword{classes}
