\name{UnigramTagger-class}
\docType{class}
\alias{UnigramTagger-class}

\title{Class "UnigramTagger"}

\description{A specialization of \code{\linkS4class{NgramTagger}} that
ignores context when associating tokens with tags.}

\section{Objects from the Class}{
Objects can be created by calls of the form
\code{UnigramTagger(trainset, cutoff = 1 , backoff = NA)} where
\code{trainset} is an object representing a series of pre-tagged
sentences (a number of formats are possible here, see
\code{\link{NgramTagger}}), cutoff is the minimum number of times a
token has to appear in the training corpus for the tagger to associate
a tag with it, and \code{backoff} is an optional backoff tagger.
}

\section{Extends}{
Class \code{"\linkS4class{NgramTagger}"}, directly.
Class \code{"\linkS4class{WrappedSequentialBackoffTagger}"}, by class "NgramTagger", distance 2.
Class \code{"\linkS4class{SequentialBackoffTagger}"}, by class "NgramTagger", distance 3.
Class \code{"\linkS4class{Tagger}"}, by class "NgramTagger", distance 4.
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{tag}}
  \code{\link{batch.tag}}
  \code{\link{tag.one}}
  \code{\linkS4class{Tagger}}
  \code{\linkS4class{SequentialBackoffTagger}}
  \code{\linkS4class{NgramTagger}}
  \code{\linkS4class{BigramTagger}}
  \code{\linkS4class{TrigramTagger}}
  \code{\linkS4class{RegexTagger}}
  \code{\linkS4class{AffixTagger}}
}


\keyword{classes}
